Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.ld.dsmediator.update
Class DataServiceMediator

    java.lang.Object
      |
      +--com.bea.ld.dsmediator.update.Mediator
            |
            +--com.bea.ld.dsmediator.update.DataServiceMediator

public class DataServiceMediator
extends com.bea.ld.dsmediator.update.Mediator

Field Summary
`java.util.HashMap` | `metaDataList`

Constructor Summary
`DataServiceMediator()` should not be called directly

Method Summary
`void` | `executeUpdatePlan(UpdatePlan updatePlan)`
`com.bea.ld.dsmediator.update.DataServiceMetaData` | `getDataServiceMetaData(java.lang.String xdsName)`
`static commonj.sdo.DataGraph` | `getReferencedSDO(commonj.sdo.DataObject obj, com.bea.ld.dsmediator.update.MetaBinding updatableBinding, com.bea.ld.dsmediator.update.DataServiceMetaData dataServiceMeta, com.bea.ld.dsmediator.update.DecompositionMapInternal map2DS)`
`UpdatePlan` | `getUpdatePlan(commonj.sdo.DataGraph sdo)`
`void` | `setMetaData(java.lang.String sdoName, com.bea.ld.dsmediator.update.DataServiceMetaData meta)` Set the meta data for a specific dataServiceMetaData type
`java.util.Properties[]` | `submit(commonj.sdo.DataGraph sdo, java.lang.String xdsName)`
`java.util.Properties[]` | `submit(commonj.sdo.DataGraph sdo, java.lang.String xdsName, java.util.ArrayList projectedAttrList)`
`java.util.Properties[]` | `submit(java.lang.String sdoString, java.lang.String xdsName)`

Methods inherited from class com.bea.ld.dsmediator.update.Mediator
`getInstance, setMediatorClassName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### metaDataList

    public java.util.HashMap metaDataList

Constructor Detail

### DataServiceMediator

    public DataServiceMediator()

  should not be called directly

Method Detail

### submit

    public java.util.Properties[] submit(java.lang.String sdoString,
                                         java.lang.String xdsName)

  Overrides:
    submit in class com.bea.ld.dsmediator.update.Mediator

### submit

    public java.util.Properties[] submit(commonj.sdo.DataGraph sdo,
                                         java.lang.String xdsName)

  Overrides:
    submit in class com.bea.ld.dsmediator.update.Mediator

### submit

    public java.util.Properties[] submit(commonj.sdo.DataGraph sdo,
                                         java.lang.String xdsName,
                                         java.util.ArrayList projectedAttrList)

### getUpdatePlan

    public UpdatePlan getUpdatePlan(commonj.sdo.DataGraph sdo)

  Overrides:
    getUpdatePlan in class com.bea.ld.dsmediator.update.Mediator

### getReferencedSDO

    public static commonj.sdo.DataGraph getReferencedSDO(commonj.sdo.DataObject obj,
                                                         com.bea.ld.dsmediator.update.MetaBinding updatableBinding,
                                                         com.bea.ld.dsmediator.update.DataServiceMetaData dataServiceMeta,
                                                         com.bea.ld.dsmediator.update.DecompositionMapInternal map2DS)

### executeUpdatePlan

    public void executeUpdatePlan(UpdatePlan updatePlan)

  Overrides:
    executeUpdatePlan in class com.bea.ld.dsmediator.update.Mediator

### getDataServiceMetaData

    public com.bea.ld.dsmediator.update.DataServiceMetaData getDataServiceMetaData(java.lang.String xdsName)

### setMetaData

    public void setMetaData(java.lang.String sdoName,
                            com.bea.ld.dsmediator.update.DataServiceMetaData meta)

  Set the meta data for a specific dataServiceMetaData type

  Parameters:
    `sdoName` -
    `meta` -

Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Bea Systems Inc. All Rights Reserved.